@Echo Off
Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem
Rem  Initial developer(s): Philippe Durieux
Rem   Contributor(s):
rem
Rem   ---------------------------------------------------------------------------
Rem   $Id$
Rem   ---------------------------------------------------------------------------

Rem start EJB server
cd %JONAS_ROOT%\examples\src
del server0.audit order.txt
call jonas start -win
echo "press return when server is running"
pause

Rem Run the JMS message receptor - it uses joram + monolog.
set CLASSPATH=%CLASSPATH%;%JONAS_ROOT%\examples\classes
start "JMS MsgReceptor" call jclient jms.MsgReceptor

Rem start EJB clients
call jonas admin -a sb.jar
call jclient sb.ClientOp
call jonas admin -a eb.jar
call jclient eb.ClientAccount AccountImpl2Home
call jclient eb.ClientAccount AccountImplHome
call jclient eb.ClientAccount AccountExplHome
call jonas admin -a jms.jar
call jclient jms.EjbCompClient
call jonas admin -a lb.jar
call jclient lb.Client
call jonas admin -a sampleappli.jar
call jclient sampleappli.SampleAppliClient
call jonas admin -a samplemdb.jar
call jclient samplemdb.MdbClient
call jonas admin -r samplemdb.jar


Rem stop server
call jonas stop
